Bug 234806 - freebsd-update failing integrity check
Summary: freebsd-update failing integrity check
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 12.0-RELEASE
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-09 21:24 UTC by Chip Marshall
Modified: 2019-01-14 21:36 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chip Marshall 2019-01-09 21:24:18 UTC
I have two FreeBSD 12.0-RELEASE systems exhibiting the same problem when attempting to update to the latest patchlevel using freebsd-update.

```
# freebsd-update fetch
Looking up update.FreeBSD.org mirrors... 3 mirrors found.
Fetching metadata signature for 12.0-RELEASE from update4.freebsd.org... done.
Fetching metadata index... done.

The update metadata is correctly signed, but
failed an integrity check.
Cowardly refusing to proceed any further.
```

Not sure how to proceed.
Comment 1 Colin Percival freebsd_committer 2019-01-09 22:40:28 UTC
Should be fixed now.
Comment 2 Chip Marshall 2019-01-10 03:01:26 UTC
Confirmed, it's working fine on both machines now. Thanks!
Comment 3 Lorenzo Salvadore 2019-01-14 14:13:15 UTC
I am trying to update an old FreeBSD 10.3-RELEASE (on a cloud vps) to 12.0-RELEASE but I get the message in the bug description. Same if I try with 11.2-RELEASE.

Is there something wrong again or is my system too old to update? Is there anything I can do?
Comment 4 Colin Percival freebsd_committer 2019-01-14 21:36:55 UTC
(In reply to Lorenzo Salvadore from comment #3)

This is an unrelated issue.  Update to the last release from your current stable branch first; sometimes there are upgrade issues which we need to fix via Errata Notices, but those only go out for supported releases.